package tallerVehiculos;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.ArrayList;

import javax.swing.JOptionPane;

@SuppressWarnings("serial")
public class GestionUsuario implements Serializable{
	
	private ArrayList<Usuario> usuarios;
	
	public GestionUsuario() {
		usuarios = new ArrayList<Usuario>();
	}
	
	public boolean nuevoUsuario(Usuario user) {
		if (usuarios.contains(user)) {
			JOptionPane.showMessageDialog(null, "Ya existe un usuario con el nombre: " + user.getNombre(),
					"Nuevo Usuario", JOptionPane.WARNING_MESSAGE);
			return false;
		}
		else {
			usuarios.add(user);
			return true;
		}
	}
	
	public boolean validarLogin(Usuario user) {
		int indice = usuarios.indexOf(user);
		if (indice == -1) {
			JOptionPane.showMessageDialog(null, "No existe usuario con el nombre: " + user.getNombre(),
					"Login Usuario", JOptionPane.WARNING_MESSAGE);
			return false;
		}
		else {
			if (usuarios.get(indice).getPassword().equals(user.getPassword()))
				return true;
			else {
				JOptionPane.showMessageDialog(null, "Password es incorrecto", "Login Usuario",
						JOptionPane.WARNING_MESSAGE);
				return false;
			}
		}
	}
	
	public boolean guardarUsuarios() {
			try {
				ObjectOutputStream obs = new ObjectOutputStream(new FileOutputStream("usuarios.bin"));
				obs.writeObject(this);
				obs.close();
				return true;
			} catch (IOException e) {
				JOptionPane.showMessageDialog(null, "Error al acceder al archivo: usuarios.bin",
						"Guardar Usuarios", JOptionPane.ERROR_MESSAGE);
				e.printStackTrace();
				return false;
			}
	}

}
